﻿using System;
using System.Collections.ObjectModel;
using System.IO;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string path = @"test.shp";
            if (!File.Exists(path))
            {
                ShapeFileFeatureSource.CreateShapeFile(ShapeFileType.Point, path, new Collection<DbfColumn>() {
                    new DbfColumn("id", DbfColumnType.Numeric, 2, 0) ,
                    new DbfColumn("intValue", DbfColumnType.Numeric, 10, 0),
                    new DbfColumn("floatValue", DbfColumnType.Float, 10, 0) });
            }

            ShapeFileFeatureSource source = new ShapeFileFeatureSource(path, GeoFileReadWriteMode.ReadWrite);
            source.Open();
            source.BeginTransaction();

            Feature f = new Feature(10, 10);
            f.ColumnValues.Add("id", "1");
            f.ColumnValues.Add("intValue", string.Empty);
            f.ColumnValues.Add("floatValue", DBNull.Value.ToString());
            source.AddFeature(f);

            Feature f2 = new Feature(10, 11);
            f2.ColumnValues.Add("id", "2");
            f2.ColumnValues.Add("intValue", "9");
            f2.ColumnValues.Add("floatValue", "16");
            source.AddFeature(f2);

            source.CommitTransaction();
        }
    }
}
